Skip to content
Back to top
View this page

# `autodoc2.sphinx.extension`

## Module Contents

### Classes

`EnvCache` |

### Functions

`setup` |
`run_autodoc` |
`run_autodoc_package` |
`get_git_clone` |

### API

autodoc2.sphinx.extension.setup(app: sphinx.application.Sphinx) → dict[str, str | bool]

autodoc2.sphinx.extension.run_autodoc(app: sphinx.application.Sphinx) → None

autodoc2.sphinx.extension.run_autodoc_package(app: sphinx.application.Sphinx, config: autodoc2.config.Config, pkg_index: int) → str | None

autodoc2.sphinx.extension.get_git_clone(app: sphinx.application.Sphinx, url: str, branch_tag: str, config: autodoc2.config.Config) → None | pathlib.Path

class autodoc2.sphinx.extension.EnvCache

  Bases: `typing.TypedDict`

  Initialization

  hash: str = None
  root_module: str = None